Module | Prawn::Document::Destinations
In: | lib/prawn/document/destinations.rb

### Methods

add_dest dest_fit dest_fit_bounds dest_fit_bounds_horizontally dest_fit_bounds_vertically dest_fit_horizontally dest_fit_rect dest_fit_vertically dest_xyz dests

### Public Instance methods

add_dest(name, reference)

Adds a new destination to the dests name tree (see dests). The `reference` parameter will be converted into a Prawn::Reference if it is not already one.

dest_fit(page=@current_page)

Return a Dest specification that will fit the given page into the viewport.

dest_fit_bounds(page=@current_page)

Return a Dest specfication that will fit the given page‘s bounding box into the viewport.

dest_fit_bounds_horizontally(top, page=@current_page)

Same as dest_fit_horizontally, but works on the page‘s bounding box instead of the entire page.

dest_fit_bounds_vertically(left, page=@current_page)

Same as dest_fit_vertically, but works on the page‘s bounding box instead of the entire page.

dest_fit_horizontally(top, page=@current_page)

Return a Dest specification that will fit the given page horizontally into the viewport, aligned vertically at the given top coordinate.

dest_fit_rect(left, bottom, right, top, page=@current_page)

Return a Dest specification that will fit the given rectangle into the viewport, for the given page.

dest_fit_vertically(left, page=@current_page)

Return a Dest specification that will fit the given page vertically into the viewport, aligned horizontally at the given left coordinate.

dest_xyz(left, top, zoom=nil, page=@current_page)

Return a Dest specification for a specific location (and optional zoom level).

dests()

The Dests name tree in the Name dictionary (see Prawn::Document::Internal#names). This name tree is used to store named destinations (PDF spec 8.2.1). (For more on name trees, see section 3.8.4 in the PDF spec.)

[Validate]